/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.dd;

/**
 * Represents an invoker element of the jboss.xml deployment descriptor for
 * the 4.0 schema
 *
 * @author <a href="mailto:bdecoste@jboss.com">William DeCoste</a>
 * @version <tt>$Revision: 1.1.2.2 $</tt>
 */
public class Invoker
{
   private String invokerProxyBindingName;

   public String getInvokerProxyBindingName()
   {
      return invokerProxyBindingName;
   }

   public void setInvokerProxyBindingName(String invokerProxyBindingName)
   {
      this.invokerProxyBindingName = invokerProxyBindingName;
   }

   public String toString()
   {
      StringBuffer sb = new StringBuffer(100);
      sb.append("[");
      sb.append("invokerProxyBindingName=").append(invokerProxyBindingName);
      sb.append("]");
      return sb.toString();
   }
}
